package com.muyu.system.interceptor;

import com.alibaba.druid.util.StringUtils;
import com.muyu.system.DCL.MDCTraceUtil;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class LogInterceptor implements HandlerInterceptor {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        // 客户端可以传入链路ID，需要唯一性
        String traceId = request.getHeader(MDCTraceUtil.TRACE_ID_HEADER);
        if (!StringUtils.isEmpty(traceId)) {
            MDCTraceUtil.putTrace(request.getHeader(MDCTraceUtil.TRACE_ID_HEADER));
        } else {
            MDCTraceUtil.addTrace();
        }
        return true;
    }


    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {
        MDCTraceUtil.removeTrace();
    }
}
